/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;
    
    display: grid;
    align-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    padding-top: 8rem;

    display: grid;
    gap: 4rem;
}

#hero .hero-inner .neon-box {
    max-width: max-content;
}
#hero .hero-inner h1 {
    /* max-width: 18ch; */

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
    gap: 2.4rem;
}

#hero .hero-inner ul li {
    display: grid;
}

#hero .hero-inner ul li b {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#hero .hero-inner ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}

/* Slides h2 header */

.slide > h2 {
    margin-inline: auto;
    max-width: 30ch;
    font-size: 4.8rem;
}
.slide .text-block h2 {
    max-width: 25ch;
    text-align: left;
}

/* END-TO-END */
#end-to-end .-main-stack {
    display: grid;
    gap: 4rem;
    & h2, & h3 {
        margin-inline: auto;
        max-width: 85rem;
        text-align: center;
    }
    & h3 {
        font-size: 1.8rem;
        line-height: 1.625;
        color: var(--font-col-400);
    }
}

#end-to-end ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(38.5rem, 1fr));
    gap: 3.2rem;
}

#end-to-end ul li {
    padding: 3.2rem;

    display: grid;
    place-items: center;
    gap: 1.6rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;
}

#end-to-end ul li .strong-ico {
    width: 6.4rem;
}
#end-to-end ul li .strong-ico svg {
    --d: 3.2rem;
}

#end-to-end ul li h4 {
    font-size: 2rem;
    font-style: italic;
    color: var(--font-col-600);
}
#end-to-end ul li p {
    font-size: 1.6rem;
    text-align: center;
}
#end-to-end .card-block.-yellow {
    background-color: hsla(from var(--yellow) h s l / 0.1);
    background: linear-gradient(
        to right,
        hsla(from var(--yellow) h s l / 0.1),
        hsla(from var(--yellow) h s l / 0.05)
    );
}


/* WAREHOUSING */
#warehousing h3 {
    font-size: 2rem;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
}
#warehousing ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(28rem, 1fr));
    gap: 1.6rem;
}
#warehousing ul li {
    padding: 2.4rem;

    display: grid;
    grid-template-columns: 4rem 1fr;
    gap: 1.2rem;

    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}
#warehousing ul li h4 {
    font-size: 1.4rem;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--font-col-300);
}


/* RETAIL CHANNELS IMPACT */
#impact .-main-box {
    align-items: start;
}

/* FLEXIBILITY */
#flexibility ul {
    list-style: none;

    display: grid;
    gap: 1.2rem;
}
#flexibility ul li {
    display: grid;
    grid-template-columns: 2.4rem 1fr;
    place-items: center;
    gap: 1.6rem;
}
#flexibility ul li svg {
    color: var(--yellow);
}
#flexibility ul li span {
    font-size: 1.8rem;
    color: var(--font-col-400);
}

/* RANGE OF CATEGORIES */
#categories h3 {
    margin-inline: auto;
    font-size: 1.8rem;
    color: var(--font-col-500);
    text-align: center;
}
#categories ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(38rem, 1fr));
    gap: 3.6rem;
}
#categories ul li {
    background-color: var(--main-col2);
    border: 1px solid var(--border-col);
    border-radius: 1.6rem;

    overflow: hidden;
}
#categories ul li picture {
    aspect-ratio: 382 / 192;

    position: relative;
    isolation: isolate;

    z-index: 0;
}
#categories ul li picture::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to bottom,
        transparent,
        var(--main-col2)
    );

    z-index: 1;
}

#categories ul li img {
    height: auto;
    border: unset;
    border-radius: unset;
}
#categories ul li .text-container {
    padding: 2.4rem;
}
#categories ul li .text-container h4 {
    font-size: 2rem;
    font-style: italic;
    color: var(--font-col-600);
    margin-bottom: 1.2rem;
}
#categories ul li .text-container .text {
    font-size: 1.6rem;
    text-align: left;
    color: var(--font-col-300);
}

#categories .color-btn {
    margin-inline: auto;
}


/* pre-Footer */
#pre-footer {
    place-items: center;
    gap: 3.2rem;
    & p {
        max-width: min(65ch, 95%);
        text-align: center;
    }
}
#pre-footer .buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.6rem;
}
#pre-footer ul {
    list-style: none;
    margin-inline: auto;

    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2.4rem;
}
#pre-footer ul li {
    width: min(20rem, 100%);
    padding: 2.4rem;

    display: grid;
    place-items: center;
    gap: 1rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 6px;
}
#pre-footer ul li strong {
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
}
#pre-footer ul li small {
    font-size: 1.4rem;
    color: var(--font-col-300);
}